Bug 1280539 - JPP.resteasy-base-resteasy-pom.pom: version failed to match the rpm version
JPP.resteasy-base-resteasy-pom.pom: version failed to match the rpm version
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: resteasy-base (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Ade Lee
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 21:25 EST by Ding-Yi Chen
Modified: 2016-11-03 17:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 17:23:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2015-11-11 21:25:27 EST
Description of problem:
the version in the pom file: /usr/share/maven-poms/JPP.resteasy-base-resteasy-pom.pom
should be match the rpm version (3.0.6).
However, the version is still 1.2.GA


Version-Release number of selected component (if applicable):
resteasy-base-resteasy-pom-3.0.6-1.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1.grep "<version>" $(rpm -ql resteasy-base-resteasy-pom)

Actual results:
/usr/share/maven-fragments/resteasy-base-resteasy-pom.xml:      <version>1.2.GA</version>
/usr/share/maven-poms/JPP.resteasy-base-resteasy-pom.pom:    <version>1.2.GA</version>

Expected results:
/usr/share/maven-fragments/resteasy-base-resteasy-pom.xml:      <version>3.0.6</version>
/usr/share/maven-poms/JPP.resteasy-base-resteasy-pom.pom:    <version>3.0.6</version>

Additional info:
Comment 3 Ade Lee 2016-06-24 12:44:33 EDT
Writing objects: 100% (4/4), 719 bytes | 0 bytes/s, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: *** Checking commit 48b54ad2a55c31ddb23a7f55fc2d1b1d54c1bed9
remote: *** Resolves:
remote: ***   Approved:
remote: ***     rhbz#1280539 (rhel-7.3.0+, pm_ack+)
remote: *** Commit 48b54ad2a55c31ddb23a7f55fc2d1b1d54c1bed9 allowed
To ssh://alee@pkgs.devel.redhat.com/rpms/resteasy-base
   d42494b..48b54ad  rhel-7.3 -> rhel-7.3
Comment 5 Roshni 2016-08-09 14:57:59 EDT
[root@auto-hv-02-guest02 ~]# cat /usr/share/maven-poms/JPP.resteasy-base-resteasy-pom.pom | grep version
    <version>3.0.6</version>

[root@auto-hv-02-guest02 ~]# cat /usr/share/maven-fragments/resteasy-base-resteasy-pom.xml | grep version
      <version>3.0.6</version>

[root@auto-hv-02-guest02 ~]# rpm -q resteasy-base-resteasy-pom
resteasy-base-resteasy-pom-3.0.6-3.el7.noarch
Comment 7 errata-xmlrpc 2016-11-03 17:23:28 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2604.html

Note You need to log in before you can comment on or make changes to this bug.